/* CATEGORIES CONTROL BUTTONS */
.filter-btn {
    padding: 10px 15px;
    border-radius: 20px;
    border: 1px solid #f4f4f4;
    background-color: #e9e9e9;
    color: #333;
    font-size: 14px;
    font-weight: 500;
    cursor: pointer;
    transition: all 0.3s ease;
    white-space: nowrap;
}

.filter-btn.active {
    background: #fff;
}


.filter-container {
    display: flex;
    flex-wrap: wrap;
    gap: 12px;
    margin: 30px 0;
    justify-content: center;
    width: 100%;
}


/* --- STRUCTURE DE GRILLE (COMMUN) --- */
.publications-grid {
    display: flex;
    flex-direction: column;
    background: rgba(111, 111, 111, .4);
}

.publications-grid:has(.no-data-text) {
    background: inherit;
}

.category-container {
    display: grid;
    grid-template-rows: 25px auto;
    grid-auto-columns: 500px;
    gap: 25px;
    grid-auto-flow: column;
    overflow-x: auto;
    position: relative;
    padding: 0 25px;

    /* disparaitre le scrollbar sur firefox */
    scrollbar-width: none;

    /* Disparaitre le scrollbar sur Microsoft l'ancien Edge */
    -ms-overflow-style: none;

    /* Disparaitre le scrollbar sur Safari, Chrome et le nouveau Edge */
    &::-webkit-scrollbar {
        display: none;
    }
}

.category-title {
    grid-row: 1;
    grid-column: 1 / -1;
    width: 100%;
    margin-top: 25px;
    color: #1e293b;
    font-size: 1.5rem;
    border: 1px solid #f4f4f4;
    border-top: transparent;
}
.initial-text{
    background: #e9e9e9;
    width: 100%;
    margin: 0 auto;
    text-align: center;
}
.market-item {
    grid-row: 2;
    height: 500px;
    margin-top: 25px;
    margin-top: 25px;
    margin-bottom: 25px;
    color: white;
    position: relative;
    /* border: 1px solid black; */

}


.product-image-wrapper {
    width: 100%;
    aspect-ratio: 1 / 1;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    /* border: 1px solid greenyellow; */
}

.product-img {
    width: 100%;
    height: 100%;
    object-fit: cover;

}

.card-header-brand {
    position: absolute;
    top: 0;
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    align-items: cover;
    width: 100%;
    height: 100px;
    background: rgba(111, 111, 111, .4);
    color: white;
    /* border: 1px solid yellow; */

}

.card-header-brand img {
    width: 40%;
    position: absolute;
    left: 25px;
}

.card-header-brand .head-text  {
    width: 50%;
    padding: 0 5px;
    /* border: 1px solid magenta; */
}

.badges-container {
    position: absolute;
    top: -11px;
    right: -11px;
    padding: 0;
    margin: 0;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    display: flex;
    flex-wrap: nowrap;

    /* border: 1px solid blueviolet; */
}

/* badges span (flash, promo, code) */
.badges-container span {
    width: 100%;
    height: 100%;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: transparent;
}

.badge.flash {
    background: radial-gradient(circle at top,
            #ffff00 0%,
            #ffff00 60%,
            #ff0000 100%);
}

.badge.promo {
    background: radial-gradient(circle at top,
            #ffff00 0%,
            #ffff00 25%,
            #0000ff 60%,
            #ff0000 100%);
}

.badge.code-tag {
    background: radial-gradient(circle at top,
            #ffff00 0%,
            #ffff00 30%,
            #0000ff 100%);
}

.partner-card-content {
    position: absolute;
    bottom: 0;
    right: 0;
    height: 400px;
    width: 50%;
    background: rgba(111, 111, 111, .4);
    display: flex;
    flex-direction: column;
    align-items: center;
    /* border: 1px solid red; */
}

.partner-desc {
    height: 75%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    width: 100%;
    position: relative;
    padding: 0 5px;

    /* border: 1px solid cyan; */
}

.promo-button {
    padding: 10px 15px;
    border-radius: 20px;
    background: white;
    color: black;
    text-decoration: none;
    position: absolute;
    bottom: 25px;
    /* min-width: 100px; */

}

.promo-code-box {
    display: flex;
    justify-content: center;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    border-radius: 15px;
    background: rgba(111, 111, 111, .4);
    border: 1px solid rgba(111, 111, 111, .5);
    width: 85%;
    margin: 0;
}

.promo-code-box input {
    min-width: 100%;
    height: 100%;
    padding: 7px 5px;
    border-radius: 15px;
    vertical-align: center;
    text-indent: 5%;
    border-right: none;
    border: none;
    background: rgba(111, 111, 111, .4);
    color: #fff;
    margin: 0;
}

.promo-code-box button {
    min-width: 10%;
    height: 98%;
    border-radius: 15px;
    border-left: none;
    background: rgba(111, 111, 111, .4);
    margin: 0;
    position: absolute;
    right: 0;
        /* border-bottom-right-radius: 20px; */
}
